Bank Transactions
List Match Candidates
Open bills (money-out) or invoices (money-in) to reconcile against a txn.
GET
/
api
/
v1
/
bank-transactions
/
{transaction_id}
/
candidates
List Match Candidates
curl --request GET \
--url https://vinmake-erp.onrender.com/api/v1/bank-transactions/{transaction_id}/candidatesimport requests
url = "https://vinmake-erp.onrender.com/api/v1/bank-transactions/{transaction_id}/candidates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://vinmake-erp.onrender.com/api/v1/bank-transactions/{transaction_id}/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": "<string>",
"side": "<string>",
"amount": 123,
"suggestedParties": [
{
"id": "<string>",
"name": "<string>",
"score": 123
}
],
"candidates": [
{
"id": "<string>",
"side": "<string>",
"number": "<string>",
"partyId": "<string>",
"partyName": "<string>",
"currency": "<string>",
"totalAmount": 123,
"remainingBalance": 123,
"dueDate": "<string>",
"status": "<string>",
"salesOrderNumber": "<string>",
"suggested": false,
"alreadyLinked": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Query Parameters
Required range:
1 <= x <= 200⌘I
List Match Candidates
